{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}
{% block content %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,300i,400,400i,600,600i,700,700i" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <style>
        p.p-order-hold {
            font-weight: bold;
            font-size: 20px;
            text-align: center;
            color: #55c0ef;
        }
        .col-hold-order {
            float: left;
            margin: 1% 5%;
            position: relative;
        }
        .table-hide{
            display: none;
        }
        *{
          margin: 0;
          padding: 0;
          box-sizing: border-box;
          font-family: 'Source Sans Pro', sans-serif;
        }
        .col-order-detail{
            padding-top: 0 !important;
          padding: 25px 0;
          overflow: auto;
        }
        .col-order-detail h1{
          font-size: 35px;
          text-transform: uppercase;
          font-weight: 600;
          line-height: 1.2;
          margin: 0 0 0px 0;
          letter-spacing: 1px;
          float: left;
        }
        .col-pdf{
            float: right;
                padding: 10px 0;
        }
        .col-pdf button{
          line-height: 1.45;
          background-color: #ffc107a1;
          border-color: #ff9800e0;

        }
        .col-pdf button:hover{
          background-color: #f3ce5d;
        border-color: #c97803;
        }
          .col-pdf button a:hover{
            text-decoration: none;
          }
        .col-main-detail{
          padding: 15px;
          /* background: #fff;
          box-shadow: 1px 1px 5px #c3a444b5; */
          background: #fff;
        box-shadow: 0px 0px 5px #929090b5;
        }
        .col-order-user{
          overflow: auto;
          margin-bottom: 20px;
        }
        .col-user-image{
          float: left;
        }
        .col-user-image img{
          width: 100px;
          height: 100px;
          border: 4px solid #c97904;
          border-radius: 4px;
        }
        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .brand-table thead tr, tbody tr:nth-child(2n) {
          background: #dd4b394f;
        }
        .table-bordered {
        border: 1px solid #c97803;
        margin-bottom: 0px;
        }
        .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
            border: 1px solid #c97803;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .col-main-detail h3{
          margin: 0 0 5px 0;
        line-height: 1.45;
        font-size: 21px;
        font-weight: 600;
        text-transform: capitalize;
        text-decoration: underline;
        letter-spacing: 1px;
        }
        .col-order-status{
          background: #f4f4f4;
            min-height: 100;
            height: 273px;
        }
        .allowance-table.table-c-detail thead tr, .allowance-table.table-c-detail tbody tr:nth-child(2n) {
            background: #03a9f470;
        }
        .allowance-table.table-c-detail.col-color thead tr, .allowance-table.table-c-detail.col-color tbody tr:nth-child(2n){
          background: #dff0d8;
        }
        #btn-back {
            margin: 5px 10px 0 0;
            float:left;
        }
    </style>
    <!--<form action="javascript:void(0);">-->
        <div class="content-wrapper">
            <div class="container-fluid">
                <div class="col-order-detail" style="padding-bottom: 10px;">
                    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                    <h1>order #{{order_id}}{% if dms_number %}, DMS #{{dms_number}}{% endif %}</h1>
                    <div class="col-pdf">
                        <!-- <button type="button" class="btn btn-default">
                            <i class="fa fa-file-pdf-o" aria-hidden="true" style="color: red"></i>
                            <b style="color: #424242"> PDF</b>
                        </button> -->
                        <button type="button" class="btn btn-default">
                            <a href="/">
                                <span class="glyphicon glyphicon-home"></span>
                                <b style="color: #424242"> Home</b>
                            </a>
                        </button>
                    </div>
                </div>
                <div class="col-main-detail">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="col-order-user">
                                <div class="col-user-image">
                                    <img src="{% static 'img/default_user.jpg' %}">
                                </div>
                                <address class="col-cust-add">
                                    <h2>
                                        <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}
                                        </a>
                                    </h2>
                                    {{dealer.company_address|default:"--"}}</br>
                                    Email: {{dealer.email|default:"--"}}<br>
                                    Mobile: {{dealer.primary_contact|default:"--"}}
                                </address>
                                {% if on_hold_flag == True %}
                                    <address class="col-hold-order">
                                        <p class="p-order-hold">
                                            Order Hold on <br>{{on_hold_date|date:'l j F Y'|default:"---"}}
                                        </p>
                                    </address>
                                {% endif %}
                                <address class="col-cust-add col-business-add">
                                    <span>Credit days: {{dbm.credit_days|default:"0"}}</span>
                                    <span style=" background-color: #00c0ef;border-color: #00acd6;">
                                        Credit Limit: ₹ {{dbm.max_outstanding_threshold|floatformat:2|intcomma}}
                                    </span>
                                    <span style="background-color: #dd4b39;    border-color: #d73925;">Min order: ₹ {{dbm.min_order_amount|floatformat:2|intcomma}}</span><br>
                                    <!--{% if outstanding_flag == True %}-->
                                        <!--<span style="background-color: #00a65a;border-color: #008d4c;">-->
                                            <!--Outstanding: ₹ {{outstanding|floatformat:2|intcomma}}-->
                                        <!--</span>-->
                                    <!--{% endif %}-->
                                    <span>GST: {{dealer.gst_no|default:"--"}}</span>
                                    <span>PAN: {{dealer.pan_no|default:"--"}}</span>

                                </address>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 col-sm-4 col-md-4">
                            <div class="col-order-status" style="text-align: center;">
                                <img src="{% static 'img/' %}{{status_image}}.png" class="status-image" style="margin: 4% auto;">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail col-color">
                                        <thead>
                                            <tr>
                                                <th>Date</th>
                                                <th>{{status_detail.head_name}}</th>
                                                <th>{{status_detail.head_number}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr style="height: 95px;">
                                                <td>{{status_detail.date|date|default:"---"}}</td>
                                                <td>{{status_detail.name|default:"---"}}</td>
                                                <td>{{status_detail.number|default:"---"}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-8 col-md-8">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped allowance-table">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Order details - Before SR Scheme</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>DP</td>
                                            <td style="text-align:right;">₹ {{totaldp|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>Net After Allowance(including GST)</td>
                                            <td style="text-align:right;">₹ {{totalafterallowance|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>Pre GST Cost</td>
                                            <td style="text-align:right;">₹ {{totalpregst|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                CGST
                                            </td>
                                            <td style="text-align:right;">₹ {{totalcgst|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>SGST</td>
                                            <td style="text-align:right;">₹ {{totalsgst|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                        <tr>
                                            <td>Invoice Value</td>
                                            <td class="success" style="text-align:right;">₹ {{totalbill|floatformat:2|intcomma|default:"0"}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    {% if cc_status == True %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 for-sr-only">
                                <div class="table-responsive">
                                    {% if request.user|has_group:"SR" %}
                                        <h3> Applied Schemes</h3>
                                    {% else %}
                                        <h3> Applied Schemes - by ({{total.sr_name}}, {{total.sr_contact}})</h3>
                                    {% endif %}
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <thead>
                                            <tr>
                                                <th>SKU Code</th>
                                                <th>QTY.</th>
                                                <th>DP per unit</th>
                                                <th>Allowance</th>
                                                <th title="dp - allowance">Value after allowance including tax</th>
                                                <th>TieUp</th>
                                                <th>Sell through</th>
                                                <th title="pregst - (tieup + sell through)">Final value</th>
                                                <th title="final value * quantity">Invoice Value</th>
                                                <!--<th>BBP</th>-->
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for item in details %}
                                                <tr>
                                                    <td>{{item.skucode}}</td>
                                                    <td>{{item.quantity}}</td>
                                                    <td style="text-align:right;">₹ {{item.dp|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.allowance_value|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.total_pre|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.tieup_value|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.sell_through_value|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.total_pre_gst|floatformat:2|intcomma}}</td>
                                                    <td style="text-align:right;">₹ {{item.final_total|floatformat:2|intcomma}}</td>
                                                    <!--<td style="text-align:right;">₹ {{item.bbp|floatformat:2|intcomma}}</td>-->
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% elif cc_status == False %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 for-sr-only">
                                <div class="table-responsive">
                                    <h2> Apply Scheme - For SR Only</h2>
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <thead>
                                            <tr>
                                                <th>SKU Code</th>
                                                <th>QTY.</th>
                                                <th>DP per unit</th>
                                                <th>Allowance</th>
                                                <th title="dp - allowance">Value after allowance including tax</th>
                                                <th>TieUp</th>
                                                <th>Sell through</th>
                                                <th title="pregst - (tieup + sell through)">Final value</th>
                                                <th title="final value * quantity">Total Value</th>
                                                <th>BBP</th>
                                            </tr>
                                        </thead>
                                        <tbody id="products_body">

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% endif %}

                    <div class="row">
                        {% if cc_status %}
                            <div class="col-xs-12 col-sm-5 col-md-5">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail col-color" style="    height: 186px;">
                                        <thead>
                                            <tr>
                                                 <th colspan="3">
                                                    Credit Notes-Tieup and SellThrough
                                                 </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for item in credit_notes.tieup %}
                                                <tr>
                                                    <td colspan="2" style="text-align: right;">
                                                        ₹ {{item.applyed_discount_amount|floatformat:2|intcomma}}
                                                    </td>
                                                    <td>Applied on {{item.tieup_date|date|default:"---"}}</td>
                                                </tr>
                                            {% endfor %}

                                            {% for sell in credit_notes.sell_through %}
                                                <tr>
                                                    <td colspan="2" style="text-align: right;">
                                                        ₹ {{sell.total_sell_amount|floatformat:2}}
                                                    </td>
                                                    <td>Applied on {{sell.sell_through_date|date}}</td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td colspan="2" style="text-align:right;">
                                                    Total: ₹ {{credit_notes.grand_total|floatformat:2|intcomma}}
                                                </td>
                                                <td></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        {% else %}
                            <div class="col-xs-12 col-sm-5 col-md-5"></div>
                        {% endif %}
                        <div class="col-xs-12 col-sm-7 col-md-7">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped allowance-table table-c-detail">
                                    <thead>
                                        <tr>
                                            <th>Order details - After SR Scheme</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Invoice value</td>
                                            <td id="dp" style="text-align:right;"></td>
                                        </tr>
                                        <tr>
                                            <td>Less Total TieUp</td>
                                            <td id="gst" style="text-align:right;"></td>
                                        </tr>
                                        <tr>
                                            <td>Less Total sell through</td>
                                            <td id="pre" style="text-align:right;"></td>
                                        </tr>
                                        <tr>
                                            <td title="total bill - (tieup + sell through)">Net bill Value</td>
                                            <td id="cgst" style="text-align:right;"></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    {% if cc_status == False %}
                        {% if request.user|has_group:"SR" %}
                            <div class="row">
                                <div class="col-md-12 text-right" style="margin-top: 1%;">
                                    <button id="submit" type="button" class="order-btn apply-btn">
                                        <a href="javascript:void(0);">Apply Scheme</a>
                                    </button>
                                    <button id="edit_btn" type="button" class="order-btn edit-btn table-hide">
                                        <a href="javascript:void(0);">Edit Scheme</a>
                                    </button>
                                    <button type="button" class="order-btn send-dealer">
                                        <a href="javascript:void(0);">Send to Dealer</a>
                                    </button>
                                </div>
                            </div>
                        {% endif %}
                    {% endif %}

                    {% if history %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <h3>Order Log (DMS Ordernumber: {{dms_number}})</h3>
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <tbody>
                                            {% for item in orderHistory %}
                                                <tr>
                                                    <td>
                                                        {% if item.order_status == 'Processing' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            process order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'SchemeApplied' %}
                                                            SR <b>{{total.sr_name|default:"---"}}</b>
                                                            proceed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) and applied all Sell Through
                                                            and Tieup and send it to Dealer
                                                            <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a> for confirmation on {{item.created_on}}

                                                        {% elif item.order_status == 'OrderPlaced' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            placed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'InWarehouse' %}
                                                            Warehouse Admin reviewed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}
                                                            and send it to &lt;{{warehouse}}&gt;
                                                            &lt;{{manager}}&gt;

                                                        {% elif item.order_status == 'Dispatched' %}
                                                            Warehouse User <b>{{status_detail.name|default:"---"}}</b>
                                                            dispatched order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>)
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Deleted' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) canceled by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Reject' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) rejected by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'OnHold' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on hold <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Delivered' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) delivered by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'PartialDispatched' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) partial dispatched by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}
                                                        {% endif %}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                </div>
                {% if orderID %}
                    <form method="POST">{% csrf_token %}
                        {% if comment %}
                        {% else %}
                            {% if request.user.is_superuser %}
                            {% else %}
                                <div class="row">
                                    <div class="col-md-12 text-right">
                                        <h3 style="text-align:left;">Leave a Comment</h3>
                                        <textarea rows="4" cols="147" name="ordernote" id="ordernote" placeholder="Add a comment..."></textarea>
                                        <button type="submit" class="ordercomment" name="commentbtn" id="commentbtn" style="color: white;">Post a Comment</button>
                                    </div>
                                </div>
                            {% endif %}
                        {% endif %}

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                {% for note in comment %}
                                    <div class="postnewcomment clearfix">
                                        {% if note.image %}
                                            <img alt="" src="/media/{{note.image}}" class="postnewcommentavatar avatar-114 photo" height="114" width="114">
                                        {% else %}
                                            <img alt="" src="/static/avatar_a.png" class="postnewcommentavatar avatar-114 photo" height="114" width="114">
                                        {% endif %}

                                        <div class="postnewcontent">
                                            <h2 class="postname">
                                                <a href="#">{{note.name}}</a><br>
                                                <span style="font-size: 12px;">{{note.date}}</span>
                                            </h2>
                                            <div class="biotext">{{note.description}}</div><br><br>

                                            {% if request.user.is_superuser %}
                                            {% else %}
                                                <button type="button" name="reply" class="btnreply" onclick="return replyfunction('{{note.id}}');" id="reply{{note.id}}">Reply</button>
                                            {% endif %}

                                            <div class="row" id="replydiv{{note.id}}"  style="display: none;">
                                                <div class="col-md-12 text-right">
                                                    <h4 style="text-align:left;">Leave a Reply</h4>
                                                    <textarea rows="2" cols="119" name="ordernote{{note.id}}" id="ordernote" placeholder="Add a reply..."></textarea>
                                                    <button type="submit" value="{{note.id}}" class="ordercomment" name="replybtn" id="replybtn" style="color: white;">Reply</button>
                                                </div>
                                            </div><br>

                                            {% if note.childnote %}

                                                {% for aobj in note.childnote %}

                                                    {% if aobj.image %}<br>
                                                        <img alt="" src="/media/{{aobj.image}}" class="postnewcommentavatar avatar-114 photo" height="40" width="40">
                                                    {% else %}<br>
                                                        <img alt="" src="/static/avatar_a.png" class="postnewcommentavatar avatar-114 photo" height="40" width="40">
                                                    {% endif %}

                                                    <div class="postnewcontent" style="margin-left: 10%;">
                                                        <h2 class="postname">
                                                            <a href="#">{{aobj.createbyname}}</a><br>
                                                            <span style="  font-size: 12px;">{{aobj.childdate}}</span>
                                                        </h2>
                                                        <div class="biotext">{{aobj.queryset.description}}</div><br><br>
                                                    </div>
                                                {% endfor %}
                                            {% endif %}
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </form>
                {% endif %}
            </div>
        </div>
    <!--</form>-->

    <div class="modal modal-default fade" id="modal-info">
        <div class="modal-dialog" style="width: 1000px;">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title">Our Schemes</h4>
                </div>
                <div class="modal-body">
                    <div class="table-responsive">
                        <table id="scheme" class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#<input style="display:none;" id='main_checkbox' type='checkbox' onclick='checkAllCheckBox()'></th>
                                    <th>Scheme Name</th>
                                    <th style="text-align: right;">Max Discount (%)</th>
                                    <th>Discount (%)</th>
                                    <th style="text-align: right;">Max Discount (AMT)</th>
                                    <th>Discount (AMT)</th>
                                    <th>Scheme Code</th>
                                    <th>End Date</th>
                                </tr>
                            </thead>
                            <tbody id="schemes_body">

                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary pull-left" data-dismiss="modal">Close</button>
                    <!--<button type="button" class="btn btn-primary" onclick='showCheckedCheckBoxData()'>Checkbox Data</button>-->
                    <button id="apply_scheme" type="button" class="btn btn-primary">Apply Schemes</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        var order = '';
        var checkedData = [];
        $(document).ready(function(){

            $('body').addClass('sidebar-collapse');
            $('ul.sidebar-menu').css('display', 'none');
            $('.content-header').first().remove();

            var parts = window.location.href.split("/");
            order = parts[parts.length-1];

            // schemes_body
            $(document).on('click', '[id^="showScheme_"]', function() {

                checkedData = [];
                var currid = this.id.split('_')[1];
                $.ajax({
                    type:'get',
                    url:'/user/get_order_schemes?order='+order+'&product='+currid,
                    success: function(res) {

                        var table = "";
                        $.each(res["data"], function(index, value) {
                            var checkbox = '<input style="display: block;" id="check_'+value["order_id"]+'_'+value["scheme_id"]+'" class="checkClass" value="'+value["scheme_id"]+'" type="checkbox" onclick="pushValue(this.id)">';
                            var percent_input = '<input id="percent_'+value["order_id"]+'_'+value["scheme_id"]+'" class="scheme-input" type="number" min="0" max="'+value["discount_percent"]+'" placeholder="%">';
                            var amount_input = '<input id="amount_'+value["order_id"]+'_'+value["scheme_id"]+'" class="scheme-input" type="number" min="0" max="'+value["discount_amount"]+'" placeholder="INR">';

                            table += '<tr><td>'+checkbox+'</td><td>'+value["scheme_name"]+'</td><td>'+value["discount_percent"]+'</td><td>'+percent_input+'</td><td>₹ '+numberWithCommas(value["discount_amount"])+'</td><td>'+amount_input+'</td><td>'+value["scheme_code"]+'</td><td>'+value["scheme_end_date"]+'</td></tr>';
                        });

                        $("#schemes_body").html(table);
                        $('#modal-info').modal('show');
                    }, error: function(err){
                        // throw new Error('Failed to load options: test.')
                        console.log(err);
                    }
                });
            });

            $(document).on('click', '.editScheme', function() {

                checkedData = [];
                var id = this.id.split('_')[1]
                $.ajax({
                    type:'get',
                    url:'/user/applyed_scheme?id='+id,
                    success: function(res){

                        var table = "";
                        $.each(res["data"], function(index, value) {
                            var checkbox = '<input style="display: block;" id="check_'+value["order_id"]+'_'+value["scheme_id"]+'" class="checkClass" value="'+value["scheme_id"]+'" type="checkbox" onclick="pushValue(this.id)">';
                            var percent_input = '<input id="percent_'+value["order_id"]+'_'+value["scheme_id"]+'" class="scheme-input" type="number" min="0" max="'+value["discount_percent"]+'" placeholder="%" value="'+value["percent"]+'">';
                            var amount_input = '<input id="amount_'+value["order_id"]+'_'+value["scheme_id"]+'" class="scheme-input" type="number" min="0" max="'+value["discount_amount"]+'" placeholder="INR" value="'+value["amount"]+'">';

                            table += '<tr><td>'+checkbox+'</td><td>'+value["scheme_name"]+'</td><td>'+value["discount_percent"]+'</td><td>'+percent_input+'</td><td>₹ '+numberWithCommas(value["discount_amount"])+'</td><td>'+amount_input+'</td><td>'+value["scheme_code"]+'</td><td>'+value["scheme_end_date"]+'</td></tr>';
                        });

                        $("#schemes_body").html(table);
                        $('#modal-info').modal('show');
                    }, error: function(err){
                        // throw new Error('Failed to load options: test.')
                        console.log(err);
                    }
                });
            });

            $(document).on('keypress', ".scheme-input", function(e) {
                if (e.which != 8 && e.which != 0 && e.which != 46 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

            $(document).on('keypress', ".input-max", function(e) {
                if (e.which != 8 && e.which != 0 && e.which != 46 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

            $(document).on('change', "input.scheme-input", function() {

                if(parseFloat($(this).val()) >= 0 && parseFloat($(this).val()) <= parseFloat($(this).attr('max'))) {

                    var button = $('#apply_scheme');
                    // var data = $(this).parents('tr').find('[type=checkbox]').val()
                    var data = this.id.split('_')[1]+'_'+this.id.split('_')[2];
                    var percent = $('#percent_'+data).val();
                    if (percent == '')
                        percent = 0;
                    var amount = $('#amount_'+data).val();
                    if (amount == '')
                        amount = 0;

                    $.each(checkedData, function(index, value) {
                        if(checkedData[index].indexOf(data) != -1){
                            // var index = checkedData.indexOf(data);
                            checkedData[index] = data+'_'+percent+'_'+amount
                        }
                    })
                    button.prop('disabled', false);
                }
                else if (parseFloat($(this).val()) > parseFloat($(this).attr('max'))) {

                    $(this).val('')
                    toastr.error('your max discount is '+ $(this).attr('max'));
                    var button = $('#apply_scheme');

                    button.prop('disabled', true);
                }
            });

            $('#apply_scheme').click(function() {

                if (checkedData.length > 0) {

                    // apply_tieup_with_scheme()

                    var product = checkedData[0].split('_')[0];
                    var checkedScheme = checkedData.join('|');

                    // .................................
                    var tieupList = [];
                    var prev_tieup = $('#tieup_' + product).attr("prev");
                    var max_tieup = $('#tieup_' + product).attr("max");
                    var curr_tieup = $('#tieup_' + product).val();
                    var tieup_apply = false;

                    if (curr_tieup != undefined && curr_tieup != null && curr_tieup != "") {
                        if(prev_tieup != curr_tieup) {
                            if(curr_tieup > max_tieup) {
                                toastr.error('your max tieup is '+ max_tieup);
                                return false;
                            }
                            else {
                                tieup_apply = true;
                                tieupList.push(product+'_'+curr_tieup)
                            }
                        }
                        else {
                            tieupList.push(product+'_'+-1)
                        }
                    }
                    else {
                        tieupList.push(product+'_'+-1)
                    }
                    // .................................

                    $.ajax({
                        type:'get',
                        url:'/user/apply_scheme?order='+product+'&scheme='+checkedScheme+'&tieup='+tieupList,
                        success: function(res) {

                            $.each(checkedData, function(index, value) {
                                toastr.success(value.split('_')[2] + ' % and ' +value.split('_')[3]+ ' INR scheme successfully Applied!');
                            });
                            if (tieup_apply == true)
                                toastr.success(curr_tieup + ' Tieup successfully Applied!');

                            checkedData = []
                            $('#modal-info').modal('hide');
                            bind_data(res)
                            // toastr.success('Scheme successfully updated!');

                        }, error: function(err) {
                            checkedData = [];
                            // throw new Error('Failed to load options: test.')
                            console.log(err);
                        }
                    });
                }
                else {
                    toastr.warning('Please check your scheme');
                }
            })

            $('#submit').click(function(){

                var tieupList = [];
                var empty = [];
                $('[id^="tieup_"]').each(function() {
                    var product = $(this).attr('group');
                    var tieup = $(this).val();
                    var prev_tieup = $(this).attr("prev");
                    var max_tieup = $(this).attr("max");

                    // ..........................................
                    if (tieup != undefined && tieup != null && tieup != "") {
                        if(prev_tieup != tieup) {
                            if(tieup > max_tieup) {
                                toastr.error('your max tieup is '+ $(this).attr('max'));
                                return false;
                            }
                            else {
                                tieupList.push(product+'_'+tieup)
                                empty.push($(this).val());
                                // return true;
                            }
                        }
                    }
                    // ..........................................

                    // tieupList.push(product+'_'+tieup)
                    // empty.push($(this).val());
                });
                var tieUP = tieupList.join('|');

                if(empty.length > 0) {
                    $.ajax({
                        type:'get',
                        url:'/user/apply_tieup?order='+order+'&tieup='+tieUP,
                        success: function(res){

                            $.each(tieupList, function(index, value) {
                                toastr.success(value.split('_')[1] + ' Tieup successfully Applied!');
                            });

                            tieupList = []
                            empty = []
                            bind_data(res)
                        }, error: function(err){
                            // throw new Error('Failed to load options: test.')
                            console.log(err);
                        }
                    });
                }
                else {
                    toastr.error('Please add Tieup!');
                }
            });

            $(document).on('change', '[id^="tieup_"]', function() {

                if(parseFloat($(this).val()) >= 0 && parseFloat($(this).val()) <= parseFloat($(this).attr('max'))) {

                    var button = $('#submit');

                    var currid = this.id.split('_')[1];
                    var tieup = $('#tieup_'+currid).val();
                    var pregst = $('#pregst_'+currid).val();
                    var discount = pregst * tieup / 100;
                    var amount = $('#pregst_'+currid).attr('data-amount');
                    // var final = pregst - discount;
                    var final = amount - discount;
                    var qty = $('#qty_'+currid).val();

                    $('#final_'+currid).html('₹ ' + numberWithCommas(final.toFixed(2)));
                    $('#total_'+currid).html('₹ ' + numberWithCommas((final*qty).toFixed(2)));

                    button.prop('disabled', false);
                }
                else {
                    $(this).val('')
                    toastr.error('please enter valid tieup');
                    // var button = $('#submit');
                    // button.prop('disabled', true);
                }
            });

            $(document).on('click', '.delete-applyed', function() {

                var scheme = this.id.split('_')[1]
                $("#confirm-id").attr("group", scheme);

                $('#modal-danger').modal('show');
            });

            $("#confirm-id").click(function () {

                var scheme_id = $(this).attr("group");
                $.ajax({
                    type:'get',
                    url:'/user/delete_scheme?order='+order+'&scheme='+scheme_id,
                    success: function(res){
                        $('#modal-danger').modal('hide');
                        bind_data(res)
                        toastr.success('Scheme successfully deleted!');
                    }, error: function(err) {
                        $('#modal-danger').modal('hide');
                        // throw new Error('Failed to load options: test.')
                        console.log(err);
                    }
                });
            });

            // Send Scheme to dealer
            $(".send-dealer").click(function(){

                var dealerList = [];
                $('[id^="pregst_"]').each(function() {
                    var product = this.id.split('_')[1];
                    var pregst = $(this).val();
                    if(pregst == "")
                        pregst = 0;

                    dealerList.push(product+'_'+pregst)
                });
                var dealerData = dealerList.join('|');

                if(dealerList.length > 0) {
                    $.ajax({
                        type:'get',
                        url:'/user/send_to_dealer?order='+order+'&dealer='+dealerData,
                        success: function(res){
                            toastr.success('Successfully sent to dealer!');
                            
                            window.location="/user/sr-dashboard"
                            
                        }, error: function(err){
                            // throw new Error('Failed to load options: test.')
                            console.log(err);
                        }
                    });
                }
            });

            $(".edit-btn").click(function(){

                $('[id^="tieup_"]').each(function() {
                    $(this).attr('disabled', false);
                });
                $(".apply-btn").css('display', 'inline-block');
                $(".edit-btn").css('display', 'none');
            });

            getAllProduct()

            $("a.profile-new").click(function() {
                if($(this).attr('aria-expanded')=='true'){
                    $(this).parent('li').removeClass('open')
                }
                else {
                    $(this).parent('li').addClass('open')
                }
            });
        });

        function replyfunction(id){
            $('#replydiv'+id.toString()).css('display','block');
            $('#reply'+id.toString()).hide();
        };
        function getAllProduct() {
            $.ajax({
                type: 'get',
                url: '/user/get_products?order='+order,
                success: function(res) {
                    bind_data(res)
                }, error: function(err) {
                    throw new Error('Failed to load options: test.')
                }
            });
        }

        function bind_data(res) {
            var table = "";
            $.each(res["data"], function(index, value) {

                var tieup_input = '<input id="tieup_'+value["pk"]+'" group="'+value["pk"]+'" class="input-max" type="number" min="0" max="'+value["tie_up"].replace('%', '').trim()+'" placeholder="0" prev="'+value["apply_tieup"]+'" value="'+value["apply_tieup"]+'" style="width:100%;max-width:62px;"><br> <b style="font-size:11px;">Max '+value["tie_up"]+'</b>';
                var pregst_hidden_input = '<input id="pregst_'+value["pk"]+'" data-amount="'+value["total_pre"]+'" type="hidden" value="'+value["pregst"]+'">₹ '+numberWithCommas(value["total_pre"].toFixed(2));
                var qty_hidden_input = '<input id="qty_'+value["pk"]+'" type="hidden" value="'+value["quantity"]+'">'+value["quantity"];

                var applyed="";
                $.each(value["apply_schemes"], function(i, v) {
                    applyed += '<p class="label label-success" style="margin-right:2%;cursor:pointer;"><span id="apply_'+v["scheme_id"]+'" class="editScheme">'+v["scheme_name"]+'</span><i id="delete_'+v["scheme_id"]+'" class="fa fa-times delete-applyed" style="vertical-align: super;"></i></p>';
                });

                if(value['available_scheme'] == true)
                    applyed += '<a id="showScheme_'+value["pk"]+'" href="javascript:void(0);" class="apply-scheme" style="display: block;margin-top: 4%;"><i class="fa fa-plus"></i> Add Schemes</a>';
                else
                    applyed += '<a href="javascript:void(0);" style="display: block;margin-top: 4%;color: #83b5d2;"> No Schemes Available</a>';

                table += '<tr><td>'+value["skucode"]+'</td><td>'+qty_hidden_input+'</td><td style="text-align:right;">₹ '+numberWithCommas(value["dp"].toFixed(2))+'</td><td style="text-align:right;">'+value["allowance"]+' %</td><td style="text-align:right;">'+pregst_hidden_input+'</td><td>'+tieup_input+'</td><td>'+applyed+'</td><td id="final_'+value["pk"]+'" style="text-align:right;">₹ '+numberWithCommas(value["total_pre_gst"].toFixed(2))+'</td><td id="total_'+value["pk"]+'" style="text-align:right;">₹ '+numberWithCommas(value["final_total"].toFixed(2))+'</td><td style="text-align:right;">₹ '+ numberWithCommas(value["bbp"].toFixed(2))+'</td></tr>';
            });

            $("#dp").html('₹ ' + numberWithCommas(res["total"]["sr_total"].toFixed(2)));
            $("#gst").html('₹ ' + numberWithCommas(res["total"]["less_tieup"].toFixed(2)));
            // $("#allowance").html(res["total"]["allowance"] + ' % Allowance')
            $("#pre").html('₹ ' + numberWithCommas(res["total"]["less_sell"].toFixed(2)));
            $("#cgst").html('₹ ' + numberWithCommas(res["total"]["net_bill"].toFixed(2)));

            $("#products_body").html(table);

            if(res["total"]["tieup_flag"] == true || res["total"]["scheme_flag"] == true) {
                $(".table-hide").slideDown("slow");
                // $(".apply-btn").html("<a href='javascript:void(0);'>Edit Scheme</a>");

                if(res["total"]["tieup_flag"] == true) {
                    $('[id^="tieup_"]').each(function() {
                        $(this).attr('disabled', true);
                    });
                    // $(".apply-btn").html("<a href='javascript:void(0);'>Edit Scheme</a>");
                    $(".apply-btn").css('display', 'none');
                    $(".edit-btn").css('display', 'inline-block');
                }
                else {
                    $(".apply-btn").css('display', 'inline-block');
                    $(".edit-btn").css('display', 'none');
                }
            }
            else {
                $(".table-hide").addClass("table-hide");
                // $(".apply-btn").html("<a href='javascript:void(0);'>Apply Scheme</a>");
                $(".apply-btn").css('display', 'inline-block');
                $(".edit-btn").css('display', 'none');
            }

            // $(".apply-btn").html("<a href='javascript:void(0);'>Edit Scheme</a>");
        }

        <!--....................................................................-->

        function apply_tieup_with_scheme(){
            var tieupList = [];
            var empty = [];
            $('[id^="tieup_"]').each(function() {
                var product = $(this).attr('group');
                var tieup = $(this).val();
                if(tieup=="")
                    tieup=0;

                tieupList.push(product+'_'+tieup)
                if(tieup != "" && tieup != null && tieup != undefined)
                    empty.push($(this).val());
            });
            var tieUP = tieupList.join('|');

            $.ajax({
                type:'get',
                url:'/user/apply_tieup?order='+order+'&tieup='+tieUP,
                success: function(res){
                    $.each(tieupList, function(index, value) {
                        toastr.success(value.split('_')[1] + ' Tieup successfully Applied!');
                    });
                    tieupList = []
                    empty = []
                    bind_data(res)
                }, error: function(err){
                    // throw new Error('Failed to load options: test.')
                    console.log(err);
                }
            });
        }


        //==================== ********************************* ===========================//
        //==================== **** New changes in checkbox **** ==========================//
        //==================== Reverse all checkbox functionality =========================//
        //==================== ********************************* ========================//


        function checkAllCheckBox() {

            $("#main_checkbox").change(function () {
                if ($(this).prop('checked')) {
                    $(".checkClass").prop('checked', true);

                    $('.checkClass:checked').each(function () {
                        var currid = this.id;
                        var checkboxid = $('#' + currid).val();
                        if (checkedData.indexOf(checkboxid) == -1) {
                            checkedData.push(checkboxid);
                        }
                    });
                }
                else {
                    $(".checkClass").removeAttr('checked');
                    $(".checkClass").prop('checked', false);

                    $('.checkClass:not(:checked)').each(function () {
                        var currid = this.id;
                        var checkboxid = $('#' + currid).val();
                        checkedData = $.grep(checkedData, function (value) {
                            return value != checkboxid;
                        });
                    });
                }
            });
        }


        function pushValue(currid) {

            if ($('#' + currid).prop('checked')) {

                var uniqid = currid;
                // var data = uniqid.split('_')[1];
                var data = uniqid.split('_')[1]+'_'+uniqid.split('_')[2];
                var percent = $('#percent_'+data).val();
                if (percent=='')
                    percent = 0;
                var amount = $('#amount_'+data).val();
                if (amount == '')
                    amount = 0;

                if((percent != 0 && percent != '' && percent != undefined) || (amount != 0 && amount != '' && amount != undefined)) {
                    if ($('.checkClass:checked').length == $('.checkClass').length) {
                        $("#main_checkbox").prop('checked', true);
                    }
                    $('#' + currid).val(data+'_'+percent+'_'+amount)
                    var checkboxid = $('#' + currid).val();
                    if (checkedData.indexOf(checkboxid) == -1) {
                        checkedData.push(checkboxid);
                    }
                }
                else {
                    $('#' + currid).removeAttr('checked');
                    $('#' + currid).prop('checked', false);
                    toastr.warning('please add discount value');
                }
            }
            else {
                $("#main_checkbox").removeAttr('checked');
                $("#main_checkbox").prop('checked', false);

                var uniqid = currid;
                // var data = uniqid.split('_')[1];
                var data = uniqid.split('_')[1]+'_'+uniqid.split('_')[2];
                var percent = $('#percent_'+data).val();
                if (percent=='')
                    percent = 0;
                var amount = $('#amount_'+data).val();
                if (amount == '')
                    amount = 0;

                $('#' + currid).val(data+'_'+percent+'_'+amount)
                var checkboxid = $('#' + currid).val();
                checkedData = $.grep(checkedData, function (value) {
                    return value != checkboxid;
                });
            }
        }

        function numberWithCommas(number) {
            var parts = number.toString().split(".");
            parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
            return parts.join(".");
        }

        //============ only for testing
        function showCheckedCheckBoxData() {
            alert(checkedData);
        }
    </script>
{% endblock %}